/*
 * JBoss, Home of Professional Open Source
 * Copyright 2007, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2007,
 * @author JBoss Inc.
 */
package org.jboss.wst.xts.common;

import com.arjuna.common.util.propertyservice.PropertyManager;
import com.arjuna.common.util.propertyservice.PropertyManagerFactory;
import com.arjuna.common.internal.util.propertyservice.plugins.io.XMLFilePlugin;

/**
 *
 * @author wklaczynski@sabaservice.pl, 2007-04-30
 */
public class xtsPropertyManager {

    /**
     *
     */
    public static PropertyManager propertyManager;

    /**
     *
     * @return instance of the property manager
     */
    public static PropertyManager getPropertyManager() {
        return propertyManager;
    }

    static {
        propertyManager = PropertyManagerFactory.getPropertyManager("org.jboss.wst.xts.propertymanager", "xts");

        String propertiesFilename = System.getProperty(Environment.PROPERTIES_FILE);

        if (propertiesFilename == null) {
            propertiesFilename = Configuration.propertiesFile();
        }

        try {
            propertyManager.setProperty(Environment.TRANSACTION_TYPE, Configuration.transactionType());
            propertyManager.load(XMLFilePlugin.class.getName(), propertiesFilename);
        } catch (Exception e) {
            throw new ExceptionInInitializerError(e.toString());
        }
    }
}
