/*
 * JBoss, Home of Professional Open Source
 * Copyright 2007, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2007,
 * @author JBoss Inc.
 */
package org.jboss.wst11.xts.impl;

import com.arjuna.wst.Prepared;
import com.arjuna.wst.SystemException;
import com.arjuna.wst.Volatile2PCParticipant;
import com.arjuna.wst.Vote;
import com.arjuna.wst.WrongStateException;
import org.apache.log4j.Logger;

/**
 *
 * @author wklaczynski@sabaservice.pl, 2007-04-30
 */
public class BridgeServiceCleanup implements Volatile2PCParticipant {

    private static Logger log = Logger.getLogger(BridgeServiceCleanup.class);
    private String txId;

    /**
     *
     * @param txId
     */
    public BridgeServiceCleanup(String txId) {
        this.txId = txId;
    }

    /**
     *
     * @return Prepare result
     * @throws com.arjuna.wst.WrongStateException
     * @throws com.arjuna.wst.SystemException
     */
    public Vote prepare() throws WrongStateException, SystemException {
        return new Prepared();
    }

    /**
     *
     * @throws com.arjuna.wst.WrongStateException
     * @throws com.arjuna.wst.SystemException
     */
    public void commit() throws WrongStateException, SystemException {
        AbstractTransactionBridgeManagerImpl.disassociateServiceBridge(txId);
    }

    /**
     *
     * @throws com.arjuna.wst.WrongStateException
     * @throws com.arjuna.wst.SystemException
     */
    public void rollback() throws WrongStateException, SystemException {
        AbstractTransactionBridgeManagerImpl.disassociateServiceBridge(txId);
    }

    /**
     *
     * @throws com.arjuna.wst.SystemException
     */
    public void unknown() throws SystemException {
    }

    /**
     *
     * @throws com.arjuna.wst.SystemException
     */
    public void error() throws SystemException {
    }

}

