/*
 * JBoss, Home of Professional Open Source
 * Copyright 2007, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2007,
 * @author JBoss Inc.
 */
package org.jboss.wst11.xts.impl;

import javax.transaction.xa.XAException;
import javax.transaction.SystemException;
import javax.transaction.InvalidTransactionException;
import com.arjuna.ats.jta.TransactionManager;
import com.arjuna.ats.jta.transaction.Transaction;
import org.apache.log4j.Logger;
import org.jboss.wst.xts.WSTransactionBridge;

/**
 *
 * @author wklaczynski@sabaservice.pl, 2007-04-30
 */
public class ServiceTransactionBridgeImpl implements WSTransactionBridge {

    private static Logger log = Logger.getLogger(ServiceTransactionBridgeImpl.class);
    boolean active = false;
    private Transaction transaction;

    /**
     *
     * @param transaction
     * @throws javax.transaction.xa.XAException
     * @throws javax.transaction.SystemException
     */
    public ServiceTransactionBridgeImpl(Transaction transaction) throws XAException, SystemException {
        this.transaction = transaction;
    }

    public void start() throws XAException, SystemException, InvalidTransactionException {
        try {
            TransactionManager.transactionManager().resume(transaction);
            active = true;
        } catch (InvalidTransactionException ex) {
            throw new SystemException(ex.getMessage());
        } catch (IllegalStateException ex) {
            throw new SystemException(ex.getMessage());
        }
    }

    public void fault() throws XAException, SystemException, InvalidTransactionException {
        TransactionManager.transactionManager().suspend();
    }

    public void stop() throws XAException, SystemException, InvalidTransactionException {
        TransactionManager.transactionManager().suspend();
    }
}
