/*
 * JBoss, Home of Professional Open Source
 * Copyright 2007, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2007,
 * @author JBoss Inc.
 */
package org.jboss.wst11.xts.impl.jts;

import com.arjuna.ats.internal.jta.transaction.jts.TransactionImple;
import com.arjuna.ats.internal.jta.transaction.jts.jca.TxImporter;
import com.arjuna.ats.internal.jta.transaction.jts.jca.XATerminatorImple;
import com.arjuna.ats.jta.transaction.Transaction;
import com.arjuna.wst.Durable2PCParticipant;
import javax.transaction.xa.Xid;
import org.apache.log4j.Logger;
import javax.transaction.xa.XAException;
import org.jboss.wst11.xts.impl.AbstractTransactionBridgeManagerImpl;

/**
 *
 * @author wklaczynski@sabaservice.pl, 2007-04-30
 */
public class TransactionBridgeManagerImpl extends AbstractTransactionBridgeManagerImpl {

    private static Logger log = Logger.getLogger(TransactionBridgeManagerImpl.class);
    private static XATerminatorImple xaTerminatorImple = new XATerminatorImple();

    /**
     *
     */
    public TransactionBridgeManagerImpl() {
    }

    /**
     *
     * @param xid
     * @param timeout
     * @return New or imported JTS subordinate transaction
     * @throws javax.transaction.xa.XAException
     */
    @Override
    protected Transaction getSubordinateTransaction(Xid xid, long timeout) throws XAException{
        TransactionImple importTransaction = TxImporter.importTransaction(xid, Long.valueOf(timeout).intValue());
        return importTransaction;
    }

    /**
     *
     * @param xid
     * @return New bridge participant to JTS transaction
     */
    @Override
    protected Durable2PCParticipant getBridgeParticipantAT(Xid xid) {
        return new BridgeParticipantAT(xid);
    }

}